Error grave en WordPress 2.5.1

Hace apenas “4 dias” que salio la versión 2.5.1 de éste conocido CMS con importantes mejoras de optimización y seguridad. Pero poco ha durado a los usuarios de WordPress la alegría ya que acaban de anunciar que en ésta nueva versión se ha encontrado un grave bug.

Se trata de que surge un error en el wordpress al cambiar la contraseña..

El fallo está relacionado con la opción de reinicio de la contraseña, cuando se cambia la contraseña, se nos envía un email con el enlace a seguir para la confirmación de la acción, pero resulta que dicho enlace no funciona. Y queda inutilizable el blog.
La solución a estos problemas, radica en actualizar el wordpress a la versión 2.5.1, descargarte los ficheros corregidos y reemplazarlos.

Para los que les guste, (y entiendan), eso de toquetear código, también se puede hacer a mano de la siguiente manera:

Abrimos el archivo: “wp-login.php”

Hay que localizar la siguiente línea:

$key = wp_generate_password();

Y cambiarla por ésta otra:

$key = wp_generate_password(20, false);

Una vez echo ésto, en la carpeta wp-inculdes, abrimos el archivo “pluggable.php” Buscamos la siguientes líneas:

function wp_generate_password($length = 12)
{ $chars = “abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789!
@#$%^&*()”;

Y las substituimos por éstas otras:

function wp_generate_password($length = 12, $special_chars = true)
{ $chars = ‘abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789’; if
( $special_chars ) $chars .= ‘!@#$%^&*()’;

Personalmente, para no "calentarse" mucho la cabeza, recomiendo bajaros
los archivos directamente y así todo se soluciona mucho más rápido y evitáis
el poder "liarla".
Espero os sirba de ayuda.
Y otra vez, salta a la palestra otro bug del wordpress, junto a los grandes
"agujeros" en su seguridad, con lo cual, otra lluvia de quejas que caen sobre
el cms nº1 en la red de blogs.

Deja un comentario